View Issue Details

IDProjectCategoryView StatusLast Update
0003721GNUnetrevocation servicepublic2018-06-07 00:25
ReporteramatusAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003721: GNUNET_assert (NULL == peer_entry); failed in rev 35401
DescriptionProgram terminated with signal SIGABRT, Aborted.
#0 0xb751dddc in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56 ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
(gdb) bt
#0 0xb751dddc in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1 0xb751f463 in __GI_abort () at abort.c:89
#2 0xb76c3afb in GNUNET_abort_ () at common_logging.c:289
#3 0x0804a56a in handle_core_connect (cls=0x0, peer=0x83f71e8)
    at gnunet-service-revocation.c:525
#4 0xb772fe6c in main_notify_handler (cls=0x83f6548, msg=0xbfd6a380)
    at core_api.c:882
#5 0xb76bfb18 in receive_task (cls=0x83f6940, tc=0xbfd6a414) at client.c:618
#6 0xb76f754b in run_ready (rs=0x8404af0, ws=0x8404b78) at scheduler.c:587
#7 0xb76f7dd9 in GNUNET_SCHEDULER_run (task=0xb7702967 <service_task>,
    task_cls=0xbfd6a640) at scheduler.c:867
#8 0xb7704505 in GNUNET_SERVICE_run (argc=3, argv=0xbfd6a824,
    service_name=0x804b6d3 "revocation", options=GNUNET_SERVICE_OPTION_NONE,
    task=0x804ada2 <run>, task_cls=0x0) at service.c:1503
#9 0x0804b34a in main (argc=3, argv=0xbfd6a824)
    at gnunet-service-revocation.c:916
TagsNo tags attached.

Activities

Christian Grothoff

2015-03-21 00:30

manager   ~0009031

Interesting race. CADET+SET were faster at reporting the connection to us than CORE was. Can happen, so the assertion was wrong, we should have just "quit". Fixed in SVN 35416.

Issue History

Date Modified Username Field Change
2015-03-19 05:14 amatus New Issue
2015-03-20 21:23 Christian Grothoff Target Version => 0.11.0pre66
2015-03-20 21:23 Christian Grothoff Assigned To => Christian Grothoff
2015-03-20 21:23 Christian Grothoff Status new => assigned
2015-03-21 00:30 Christian Grothoff Note Added: 0009031
2015-03-21 00:30 Christian Grothoff Status assigned => resolved
2015-03-21 00:30 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-03-21 00:30 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed